Package com.zfabrik.impl.fscr

## Class SynchronizerImpl

- java.lang.Object
- - com.zfabrik.impl.fscr.SynchronizerImpl

- All Implemented Interfaces:
    `com.zfabrik.util.sync.ISynchronizer`

      public class SynchronizerImpl
      extends java.lang.Object
      implements com.zfabrik.util.sync.ISynchronizer

  Synchronizer for all repos based on `AbstractExtComponentRepository`. TODO: Move into better suited package
  Author:
    hb

- - ### Field Summary

    - ### Fields inherited from interface com.zfabrik.util.sync.ISynchronizer

      `PRIO, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynchronizerImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete​(com.zfabrik.util.sync.ISynchronization sync)` | synchronizers implement this method to re-establish any desired system state after all invalidations have been performed.
    `void` | `preInvalidation​(com.zfabrik.util.sync.ISynchronization sync)` | synchronizers implement this method to collect the set of components to invalidate and log messages to the end user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizerImpl

          public SynchronizerImpl()

  - ### Method Detail

    - #### preInvalidation

          public void preInvalidation​(com.zfabrik.util.sync.ISynchronization sync)

      Description copied from interface: `com.zfabrik.util.sync.ISynchronizer`
      synchronizers implement this method to collect the set of components to invalidate and log messages to the end user.
      Specified by:
        `preInvalidation` in interface `com.zfabrik.util.sync.ISynchronizer`

    - #### complete

          public void complete​(com.zfabrik.util.sync.ISynchronization sync)

      Description copied from interface: `com.zfabrik.util.sync.ISynchronizer`
      synchronizers implement this method to re-establish any desired system state after all invalidations have been performed. Note that the set of synchronizer in this call may be different to before, due to new system content.
      Specified by:
        `complete` in interface `com.zfabrik.util.sync.ISynchronizer`